System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement

A is used to import metadata as well as convert that information into various classes that represent contract and endpoint information.

It can selectively import contract and endpoint information and properties that expose any import errors and accept type information relevant to the import and conversion process. It also supports importing binding information and properties that provide access to any policy documents, WSDL documents, WSDL extensions, and XML schema documents.

Represents the configuration element that specifies the import of Web Services Description Language (WSDL) 1.1 metadata with WS-Policy attachments.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type.

  The specified type.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type.

  The specified type.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("type", IsKey=true, IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=1)
  System.String To be added. To be added.

  Gets or sets the type of this configuration element.